PkgConfig::LibPkgConf::Fragment(3)

NAME
PkgConfig::LibPkgConf::Fragment - Single compiler or linker flag

SYNOPSIS
 use PkgConfig::LibPkgConf::Client;

 my $client = PkgConfig::LibPkgConf::Client->new;
 $client->scan_all(sub {
   my($client, $package) = @_;
   # $package isa PkgConfig::LibPkgConf::Package
   foreach my $frag ($package->list_libs)
   {
     # $frag isa PkgConfig::LibPkgConf::Fragment
     if($frag->type eq 'L')
     {
       say "Library directory: ", $frag->data;
     }
     elsif($frag->type eq 'l')
     {
       say "Library name: ", $frag->data;
     }
   }
 });

DESCRIPTION
TODO

ATTRIBUTES

  type
 my $type = $frag->type;

The type of the flag. This may be "undef" if there is no type.

  data
 my $data = $frag->data;

The data for the fragment.

  to_string
 my $string = $frag->to_string;
 my $string = "$frag";

The string representation of the fragment. You may also interpolate the fragment object inside a string to convert it into a string.

SUPPORT
IRC #native on irc.perl.org

Project GitHub tracker:

<https://github.com/plicease/PkgConfig-LibPkgConf/issues>

If you want to contribute, please open a pull request on GitHub:

<https://github.com/plicease/PkgConfig-LibPkgConf/pulls>

SEE ALSO
For additional related modules, see PkgConfig::LibPkgConf

AUTHOR
Graham Ollis

For additional contributors see PkgConfig::LibPkgConf

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 Graham Ollis.

This is free software; you may redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.